for n=1:nbus    lossbus(n)=0; end
SLT = 0;Line_Flow={};
% fprintf('\n\n')
% fprintf('                           Line Flow and Losses \n\n')
% fprintf('-----------------------------------------------------------------------------------------\n')
% fprintf('|  --Line--  Power at bus & line flow    --Line loss--  Transformer\n')
% fprintf('|   from  to    MW      Mvar     MVA       MW      Mvar      tap\n')
for n = 1:nbus
    busprt = 0;it=1;
    for L = 1:nbr;
        if busprt == 0
%             fprintf('|-------------------------------------------------------------------------------\n')
%             fprintf('| %6g', n),
            Line_Flow{1,1,n}=n;
%             fprintf('      %9.3f', P(n)*basemva),
            Line_Flow{1,2,n}=P(n)*basemva;
%             fprintf('%9.3f', Q(n)*basemva),
             Line_Flow{1,3,n}=Q(n)*basemva;
%             fprintf('%9.3f\n', abs(S(n)*basemva)),
             Line_Flow{1,4,n}=abs(S(n)*basemva);
            busprt = 1;
        else
        end
        
        if nl(L)==n      k = nr(L);
            In = (V(n) - a(L)*V(k))*y(L)/a(L)^2 + Bc(L)/a(L)^2*V(n);
            Ik = (V(k) - V(n)/a(L))*y(L) + Bc(L)*V(k);
            Snk = V(n)*conj(In)*basemva;
            Skn = V(k)*conj(Ik)*basemva;
            SL  = Snk + Skn;
            SLT = SLT + SL;
        elseif nr(L)==n  k = nl(L);
            In = (V(n) - V(k)/a(L))*y(L) + Bc(L)*V(n);
            Ik = (V(k) - a(L)*V(n))*y(L)/a(L)^2 + Bc(L)/a(L)^2*V(k);
            Snk = V(n)*conj(In)*basemva;
            Skn = V(k)*conj(Ik)*basemva;
            SL  = Snk + Skn;
            SLT = SLT + SL;
        else
        end
        if nl(L)==n | nr(L)==n
            it=it+1;
%             fprintf('| %12g', k),
            Line_Flow{it,1,n}=k;
%             fprintf('%9.3f', real(Snk)),
            Line_Flow{it,2,n}=real(Snk); %#ok<*SAGROW>
%             fprintf('%9.3f', imag(Snk)),
            Line_Flow{it,3,n}=imag(Snk);
%             fprintf('%9.3f', abs(Snk)),
            Line_Flow{it,4,n}=abs(Snk);
%             fprintf('%9.3f', real(SL)),
            Line_Flow{it,5,n}=real(SL);
            lossbus(n)=real(SL)+lossbus(n);
            if nl(L) ==n && a(L) ~= 1
%                 fprintf('%9.3f', imag(SL))
%                 fprintf('%16.3f\n', a(L));
            else
%                 fprintf('%9.3f\n', imag(SL))
            end
            Line_Flow{it,6,n}=imag(SL);
        else
        end
    end
end
% fprintf('|--------------------- - Line Flow and Losses ----------------------------------\n')
% fprintf('|   from  to    MW      Mvar     MVA       MW      Mvar      tap\n')
% fprintf(' ----------------------------------------------------------------------------------------\n')
SLT = SLT/2; 
% fprintf('    Total loss        ')
% fprintf('%9.3f', real(SLT)),              % fprintf('%9.3f\n', imag(SLT))
lossout=real(SLT);
% fprintf('\n')
clear Ik In SL SLT Skn Snk  Z Ym Qg Qmin Qmax Qsh Bc  iter m n  accuracy nbus L
clear accel it nbr maxerror maxiter mwlimits ng ngs nl nn nr ns nss  y k lossbus  l t kb k  Pdt Pgg Qsht cost  busprt basemva a
